%define aurox_ver 9.3
%define rel 1


%define name    noteedit
%define version 2.4.4

%define	desktop_vendor	aurox
%define desktop_utils   %(if which desktop-file-install &>/dev/null ; then echo "yes" ; fi)

Name:         %{name}
Version:      %{version}
Release: %{aurox_ver}.aur.%{rel}
Summary:      Score editor with extensive Midi and MusiXTeX functionality
Copyright:    GPL
Group:        Applications/Multimedia
BuildRoot:    %{_tmppath}/%{name}-%{version}-buildroot
Source0:      %{name}-%{version}.tgz
Source1:      %{name}.xpm
Requires:     tse3 >= 0.2.5
BuildRequires: tse3-devel 

%description
Noteedit is a score editor based on the Midi library TSE3. It can read
and write Midi files and process events sent from an external Midi
keyboard. The configured Midi devices of the system can be used to
playback the score. The score can be exported as PMX, LilyPond, ABC
music or MusicXML, it can import MusicXML. The native fileformat is
MUP (http://www.arkkra.com) compatible. Thus, you can directly MUP the
noteedit files.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/

# desktop entry
cat << EOF > %{desktop_vendor}-%{name}.desktop
[Desktop Entry]
Encoding=UTF-8
Name=Noteedit
Comment=Score editor
Icon=%{name}.xpm
Exec=%{_bindir}/%{name}
Terminal=false
Type=Application
EOF
%if "%{desktop_utils}" == "yes"
  mkdir -p %{buildroot}%{_datadir}/applications
  desktop-file-install --vendor %{desktop_vendor} \
    --dir %{buildroot}%{_datadir}/applications    \
    --add-category X-Aurox-Extra                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    %{desktop_vendor}-%{name}.desktop
%else
  install -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia
  install %{desktop_vendor}-%{name}.desktop $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia/
%endif

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL LICENSE.GPL README VERSION noteedit/examples/*
%{_bindir}/noteedit
%{_libdir}/libnoteedit.la
%{_libdir}/libnoteedit.so.*
%if "%{desktop_utils}" == "yes"
%{_datadir}/applications/*%{name}.desktop
%else
%{_sysconfdir}/X11/applnk/Multimedia/%{desktop_vendor}-%{name}.desktop
%endif
%{_datadir}/applnk/Utilities/noteedit.desktop
%{_datadir}/apps/noteedit
%{_datadir}/doc/HTML/de/noteedit
%{_datadir}/doc/HTML/en/noteedit
%{_datadir}/locale/*/LC_MESSAGES/noteedit.mo
%{_datadir}/pixmaps/%{name}.xpm

%changelog
* Thu Mar 04 2004 Aurox Team <aurox@aurox.org> 0:2.4.4-9.3.aur.1
- initial import

* Wed Feb  4 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.4.2-1
- updated to 2.4.2
* Wed Jan 21 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.4.1-1
- udpated to 2.4.1
* Mon Nov 17 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.3.2-1
- spec file tweaks
* Mon Sep 29 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.3.2-1
- updated to 2.3.2
* Fri Aug 17 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.3.1-1
- updated to 2.3.1
* Fri Aug  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.3.0-1
- updated to 2.3.0 (does not build on RedHat 9)
* Sat Jul 26 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.2.3-1
- updated to 2.2.3
* Mon Jun 16 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.2.1-1
- updated to 2.2.1
* Mon Jun  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.2.1-1
- updated to 2.1.3
* Thu May  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.1.1-2
- rebuild to use new version of the tse3 sequencer engine (0.2.7)
* Thu Apr 10 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.1.1-1
- updated to 2.1.1
* Sun Jan 26 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.0.18-1
- Initial build. Icon borrowed from Mandrake Cooker source rpm. 
